Kreslení Facebinder

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Facebinder and the translation is 18% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString

Draft Facebinder.svg {{{Name/cs}}}

Umístění Menu
Draft → Facebinder
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
F F
Představen ve verzi
-
Viz také
Nikdo


Popis

Facebinder je velmi jednoduchý objekt zkonstruovaný z vybraných ploch jiných objektů. Je parametrický, můžete upravit původní objekt a objekt facebinder se úměrně změní. Tento objekt může být použit například pro vytváření vysunutí kolekce ploch z jiných objektů. Typické použití je v architektonickém designu, vytvoření objektu, který pokrývá několik zdí. Facebinder můžete po vytvoření posunovat a otáčet a všechno zůstává propojené s původními plochami

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Draft facebinder example.jpg

Facebinder created from the faces of solid walls


Použití

  1. Vyberte plochy objektů (pro výběr několika ploch použijte CTRL)
  2. Stiskněte tlačítko Draft Facebinder.png Facebinder,nebo klávesy F, F

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Arch Add.svg Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Arch Remove.svg Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DATAExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DATARemove Splitter: if it is True it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DATASew: if it is True it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Facebinder může být použit ve skriptech Pythonu a v makrech použitím následující funkce:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Vytvoří objekt facebinder z daného výběrového setu, což je seznam vybraných objektů, tak jak je vrací metoda FreeCADGui.Selection.getSelectionEx().
  • Počítat se bude pouze s vybranými plochami.
  • Vrací nově vytvořený objekt.

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Příklad:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString